﻿@using FoodTruck.Models
@model LoginViewModel
@{
}

<div class="text-center" style="position: relative; top: 120px;">
    <div class="">
        <section id="loginForm" >
            @using (Html.BeginForm("Login", "Account", new { ReturnUrl = ViewBag.ReturnUrl }, FormMethod.Post, new { @class = "form-horizontal", role = "form" }))
            {
                @Html.AntiForgeryToken()
                <hr />
                @Html.ValidationSummary(true, "", new { @class = "text-danger" })
                <div class="">
                    @Html.LabelFor(m => m.Email, new { @class = "col-md-4 control-label" })
                    <div class="col-md-12">
                        @Html.TextBoxFor(m => m.Email, new { @class = "form-control form-control-transparent" })
                        @Html.ValidationMessageFor(m => m.Email, "", new { @class = "text-danger" })
                    </div>
                </div>
                <div class="">
                    @Html.LabelFor(m => m.Password, new { @class = "col-md-4 control-label" })
                    <div class="col-md-12">
                        @Html.PasswordFor(m => m.Password, new { @class = "form-control form-control-transparent" })
                        @Html.ValidationMessageFor(m => m.Password, "", new { @class = "text-danger" })
                    </div>
                </div>
                <div class="">
                    <div class="col-md-offset-2 col-md-12 withThemeColor displayRow" style="margin-top:10px;">
                        <div class="checkbox col-6" style="padding: 0px;">
                            @Html.CheckBoxFor(m => m.RememberMe)
                            @Html.LabelFor(m => m.RememberMe, new { @class = "withThemeColor" })
                        </div>
                        <div class="checkbox col-6">
                            @Html.ActionLink("Inscrire comme nouvel utilisateur", "Register", null, new { @class = "withThemeColor" })
                        </div>
                    </div>
                </div>
                <div class="" style="margin:16px;">
                    <input type="submit" value="Se connecter" class="btn btn-default w-100" />
                </div>
                
                @* Activez ceci une fois que vous avez activé la confirmation du compte pour la fonctionnalité de réinitialisation du mot de passe
                    <p>
                        @Html.ActionLink("Vous avez oublié votre mot de passe ?", "ForgotPassword")
                    </p>*@
            }
        </section>
    </div>
    <div class="offset-4 col-md-4">
        <section id="socialLoginForm" style="margin:16px;">
            @Html.Partial("_ExternalLoginsListPartial", new ExternalLoginListViewModel { ReturnUrl = ViewBag.ReturnUrl })
        </section>
    </div>
</div>

@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
}